1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
      • Get destinations
      • Get guests
      • Get by id care history
      • Create company
      • Get all care history
      • Get all company
  • Đơn hàng
    • v1
      • Get by id
        GET
      • Get all order
        GET
      • Get Passengers Order
        GET
      • Create order tour
        POST
      • Create order product
        POST
      • Create order hotel
        POST
      • Create order flight
        POST
      • Confirm payment order
        POST
      • Cancel order
        POST
      • Import Order Flight
        POST
      • Create cost order
        POST
      • Update cost order
        PATCH
      • Delete cost order
        DELETE
      • Transfer operator
        POST
      • Create order multiple services
        POST
      • Add services to order.
        POST
      • Change order status
        POST
      • Add Passengers Order
        POST
      • Update Passenger Order
        PUT
      • Delete Passenger Order
        DELETE
  • Điều hành
    • v1
      • Overview
      • Create row cost
      • Update row cost
      • Delete row cost
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
  • Nhà cung cấp
    • v1
      • Get all suppliers
      • Get suppliers products
      • Get all tour guides
      • Create Supplier & Hotel
      • Create Prices Suppliers products
      • Append Prices Hotel
  • Lịch khởi hành
    • v1
      • Get all tour
      • Create tour
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Báo giá
    • v1
      • Get all
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn bán ra
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
    • Hóa đơn mua vào
      • Import
    • Thu hộ/Chi hộ
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Hạng thành viên
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
    • Phương thức thanh toán
      • Get All
    • Nguồn bán hàng
      • Get All
    • Phễu chuyển đổi lead
      • Trạng thái lead
      • Trạng thái báo giá
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  • MCP
    • Hướng dẫn kết nối
  • Schemas
    • ErrorResponse
  1. v1

Update Passenger Order

PUT
/orders/{id}/passengers/{passenger_id}
Sửa thông tin một hành khách của đơn hàng.
Chỉ cập nhật các trường được gửi lên; trường không gửi giữ nguyên giá trị cũ.
Gửi null hoặc chuỗi rỗng để xóa giá trị một trường (trừ name).
Hành khách phải thuộc đơn hàng id, nếu không trả 404.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Example
{
    "room_number": "102",
    "pickup_location": "Khách sạn Mường Thanh, 12 Trần Phú"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://demo.tourwell.net/orders/1728/passengers/1386' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "room_number": "102",
    "pickup_location": "Khách sạn Mường Thanh, 12 Trần Phú"
}'

Responses

🟢200Thành công
application/json
Bodyapplication/json

Example
{
    "success": true,
    "message": "Cập nhật hành khách thành công",
    "data": {
        "id": 1386,
        "name": "Trần Thị B",
        "email": null,
        "phone": null,
        "identity_card": null,
        "identity_issue_at": null,
        "birthday": "1990",
        "gender": "female",
        "gender_name": "Nữ",
        "country_id": 0,
        "seat_number": null,
        "room_number": "102",
        "pickup_location": "Khách sạn Mường Thanh, 12 Trần Phú",
        "note": null,
        "passport": null,
        "passport_exp_at": null,
        "nationality": null,
        "has_visa": 0,
        "visa_status_name": "Chưa có visa",
        "is_leader": 0,
        "role_name": "Thành viên",
        "relationship_to_customer": "spouse",
        "relationship_name": "Vợ/Chồng",
        "order_id": 1728
    }
}
🟠400Không có dữ liệu
🟠422Sai dữ liệu
Modified at 2026-11-02 07:12:07
Previous
Add Passengers Order
Next
Delete Passenger Order
Built with